# Documentation API : Rooms

## Se connecter au websocket

**GET** `/rooms/`

### Description

Cet endpoint permet de se connecter au websocket.
L'utilisateur doit être authentifié pour se connecter.

## Rejoindre une room

`joinRoom`

### Description

Permet de rejoindre une room.

### Body

```json
{
  "roomId": "LAKJDM"
}
```

### Réponse au client et aux autres clients de la room

```json
[
  {
    "id": 1,
    "username": "user1"
  },
  {
    "id": 2,
    "username": "user2"
  }
]
```
