/*
  Warnings:

  - You are about to drop the column `codeQuiz` on the `Quiz` table. All the data in the column will be lost.
  - Added the required column `categoryId` to the `Question` table without a default value. This is not possible if the table is not empty.
  - Added the required column `order` to the `Question` table without a default value. This is not possible if the table is not empty.

*/
-- DropIndex
DROP INDEX `Quiz_codeQuiz_key` ON `Quiz`;

-- AlterTable
ALTER TABLE `Question` ADD COLUMN `categoryId` INTEGER NOT NULL,
    ADD COLUMN `order` INTEGER NOT NULL;

-- AlterTable
ALTER TABLE `Quiz` DROP COLUMN `codeQuiz`;

-- AddForeignKey
ALTER TABLE `Question` ADD CONSTRAINT `Question_categoryId_fkey` FOREIGN KEY (`categoryId`) REFERENCES `Category`(`id`) ON DELETE RESTRICT ON UPDATE CASCADE;
