import { Question } from '../../question/entities/question.entity';
import { Category } from '../../category/entities/category.entity';
import { Difficulty } from '../../difficulty/entities/difficulty.entity';

export class Quiz {
  constructor(
    public id: string | null, // Peut être nul avant d'être sauvegardé en base
    public name: string | null,
    public description: string | null,
    public score: number | null,
    public questionIndex: number,
    public questionCount: number,
    public category: Category | null,
    public difficulty: Difficulty,
    public questions: Question[],
    public authorId: number | null,
  ) {}
}
