import { Test, TestingModule } from '@nestjs/testing';
import { QuizService } from './quiz.service';
import { QuizRepository } from './store/quiz-repository';
import { RunService } from '../run/run.service';

describe('QuizService', () => {
  let service: QuizService;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      providers: [
        QuizService,
        {
          provide: QuizRepository,
          useValue: {
            createQuiz: jest.fn(),
            findQuizById: jest.fn(),
            updateQuiz: jest.fn(),
            deleteQuiz: jest.fn(),
          },
        },
        {
          provide: RunService,
          useValue: {
            startRun: jest.fn(),
          },
        },
      ],
    }).compile();

    service = module.get<QuizService>(QuizService);
  });

  it('should be defined', () => {
    expect(service).toBeDefined();
  });
});
